## v0.33.8.zip

=== eyedeekay/sam3@v0.33.8/Makefile ===

USER_GH=eyedeekay
VERSION=0.33.8
CREDIT='contributors to this release: @hkh4n, @eyedeekay'
packagename=sam3

echo:
	@echo "type make version to do release $(VERSION)"

version:
	github-release release -s $(GITHUB_TOKEN) -u $(USER_GH) -r $(packagename) -t v$(VERSION) -d "version $(VERSION) $(CREDIT)"

del:
	github-release delete -s $(GITHUB_TOKEN) -u $(USER_GH) -r $(packagename) -t v$(VERSION)

tar:
	tar --exclude .git \
		--exclude .go \
		--exclude bin \
		-cJvf ../$(packagename)_$(VERSION).orig.tar.xz .

copier:
	echo '#! /usr/bin/env sh' > deb/copy.sh
	echo 'for f in $$(ls); do scp $$f/*.deb user@192.168.99.106:~/DEBIAN_PKGS/$$f/main/; done' >> deb/copy.sh

fmt:
	find . -name '*.go' -exec gofmt -w -s {} \;

upload-linux:
	github-release upload -R -u $(USER_GH) -r "$(packagename)" -t $(VERSION) -l `sha256sum ` -n "$(packagename)" -f "$(packagename)"

=== eyedeekay/sam3@v0.33.8/debian/control ===
Source: golang-github-eyedeekay-sam3
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: idk <hankhill19580@gmail.com>
Build-Depends: debhelper (>= 11),
               dh-golang,
               git,
               golang-any | golang-go,
Standards-Version: 4.2.1
Homepage: https://github.com/eyedeekay/sam3
Vcs-Browser: https://github.com/eyedeekay/sam3
Vcs-Git: https://github.com/eyedeekay/sam3.git
XS-Go-Import-Path: github.com/eyedeekay/sam3
Testsuite: autopkgtest-pkg-go

Package: golang-github-eyedeekay-sam3-dev
Architecture: all
Depends: ${misc:Depends},
    i2p | i2pd
Description: Go library for the I2P SAMv3.0 bridge,
 used to build anonymous/pseudonymous end-to-end encrypted sockets.
 README go library for the I2P SAMv3.0
 (https://geti2p.net/en/docs/api/samv3) bridge, used to build
 anonymous/pseudonymous end-to-end encrypted sockets.
